View Issue Details

IDProjectCategoryView StatusLast Update
12999Bug reports[All Projects] Survey takingpublic2018-01-15 10:39
ReporterLouisGacAssigned Tomarkusfluer 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target VersionFixed in Version3.0.0-rc.x 
Summary12999: OpenLayer question type doesn't work in AJax Mode
Descriptionthe map is not loaded in ajax mode
Steps To Reproducedownload and test the survey
"test All Question Types with JavaScript"
Additional InformationUncaught ReferenceError: zoom is not defined
TagsNo tags attached.
Complete LimeSurvey version number (& build)171207
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version300
Operating System (Server)Linux
Webserver software & versionnginx
PHP Version7

Activities

markusfluer

markusfluer

2017-12-13 12:32

developer   ~45292

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=25504
c_schmitz

c_schmitz

2018-01-15 10:39

administrator   ~45703

Version 3.0.3 released.

Related Changesets

LimeSurvey: develop d119bf78

2017-12-13 12:31:45

markusfluer

Details Diff
Fixed issue 12999: OpenLayer question type doesn't work in AJax Mode
mod - application/config/third_party.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/shortfreetext/location_mapservice/item.php Diff File
mod - assets/scripts/map.js Diff File
mod - themes/survey/vanilla/scripts/ajaxify.js Diff File

Issue History

Date Modified Username Field Change
2017-12-08 11:19 LouisGac New Issue
2017-12-08 11:19 LouisGac Status new => assigned
2017-12-08 11:19 LouisGac Assigned To => markusfluer
2017-12-08 11:36 LouisGac Issue cloned: 13000
2017-12-13 12:31 markusfluer Status assigned => resolved
2017-12-13 12:31 markusfluer Resolution open => fixed
2017-12-13 12:31 markusfluer Fixed in Version => 3.0.0-rc.x
2017-12-13 12:32 markusfluer Changeset attached => LimeSurvey develop d119bf78
2017-12-13 12:32 markusfluer Note Added: 45292
2018-01-15 10:39 c_schmitz Note Added: 45703
2018-01-15 10:39 c_schmitz Status resolved => closed